Bug 52265 - doesn't build against CUPS 1.6
Summary: doesn't build against CUPS 1.6
Status: RESOLVED FIXED
Alias: None
Product: cups-pk-helper
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Vincent Untz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-19 13:29 UTC by Jiri Popelka
Modified: 2012-10-04 09:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
patch to build against CUPS 1.6 (15.59 KB, patch)
2012-07-19 13:29 UTC, Jiri Popelka
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Popelka 2012-07-19 13:29:49 UTC
Created attachment 64389 [details] [review]
patch to build against CUPS 1.6

Hi,

CUPS 1.6 has been planned to be out this summer.
There's however one feature [1] that prevents
cups-pk-helper from building against it.

I'm attaching a patch that fixes it for me
(tested with CUPS-1.6rc1).

[1] http://www.cups.org/str.php?L3928
Comment 1 Vincent Untz 2012-08-13 12:54:39 UTC
Thanks for the patch, and sorry for the slow response. I'll review it this week. But a quick glance tells me it's probably good to merge.
Comment 2 Vincent Untz 2012-10-04 09:04:22 UTC
Thanks, pushed. I'll do a release soon, but I have some bug to fix first.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.